<?php

$block_name = _("MOTDs List");

/**
 * Mottle_MOTD_Block:: Implementation of the Horde_Block API to
 * allows the view of the MOTD on the portal.
 *
 * $Horde: mottle/lib/Block/motd.php,v 1.7 2006-01-02 17:50:52 jan Exp $
 *
 * @author  Daniel Vandal <dvandal@infoteck.qc.ca>
 * @package Horde_Block
 */
class Horde_Block_mottle_MOTD extends Horde_Block {

    var $_app = 'mottle';

    /**
     * The title to go in this block.
     *
     * @return string   The title text.
     */
    function _title()
    {
        global $registry;

        $html = Horde::link(Horde::url($registry->getInitialPage(), true)) . $registry->get('name') . '</a>';

        return $html;
    }

    /**
     * The content to go in this block.
     *
     * @return string   The content
     */
    function _content()
    {
        global $browser, $registry, $prefs;
        require_once dirname(__FILE__) . '/../base.php';

        $motds_list = Mottle::listMOTD();

        $motds = array ();
        foreach (array_keys($motds_list) as $i => $id) {
            // Only use the MD5 id :
            if (preg_match('/^[A-Fa-f0-9]{32}$/',$id)) {
                $data = Mottle::getMOTD($id);
                $motds[$data['post_time']['text']][$id] = $data;
            }
        }

        if (count($motds) > 0) {
            krsort($motds);

            ob_start();
            require MOTTLE_TEMPLATES . '/block/header.inc';

            foreach ($motds as $date => $id_list) {
                foreach ($id_list as $id => $motd) {
                    if ($id != Auth::getAuth()) {
                        if (!isset($class) || $class != '') {
                            $class = '';
                        } else {
                            $class = 'item0';
                        }

                        require MOTTLE_TEMPLATES . '/block/motd.inc';

                    }
                }
            }
            require MOTTLE_TEMPLATES . '/block/footer.inc';

            $html = ob_get_contents();
            ob_end_clean();
        } else {
            ob_start();
            require MOTTLE_TEMPLATES . '/block/empty.inc';
            $html = ob_get_contents();
            ob_end_clean();
        }

        return $html;
    }
}
