<?php
/**
 * $Horde: mottle/list.php,v 1.18 2008-01-02 11:13:48 jan Exp $
 *
 * Copyright 2001-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 *
 * @author Daniel Vandal <dvandal@infoteck.qc.ca>
 * @author Eric Rostetter <eric.rostetter@physics.utexas.edu>
 */

@define('MOTTLE_BASE', dirname(__FILE__));
require_once MOTTLE_BASE . '/lib/base.php';

/* Page variable. */
$title = _("MOTDs");

/* Get the MOTD list. */
$motds_list = Mottle::listMOTD(Auth::isAdmin());

/* Render the page. */
Horde::addScriptFile('popup.js', 'horde', true);
require MOTTLE_TEMPLATES . '/common-header.inc';
require MOTTLE_TEMPLATES . '/menu.inc';
$notification->notify(array('listeners' => 'status'));

$motds = array ();
foreach (array_keys($motds_list) as $i => $id) {
    // Only use the MD5 id:
    if (preg_match('/^[A-Fa-f0-9]{32}$/', $id)) {
        $data = Mottle::getMOTD($id);
        $motds[$data['post_time']['text']][$id] = $data;
    }
}

if ($motds) {
    require MOTTLE_TEMPLATES . '/list/header.inc';

    ksort($motds);
    foreach ($motds as $date => $id_list) {
        foreach ($id_list as $id => $motd) {
            /* Generate the permissions URL for this MOTD. */
            $permsurl = Util::addParameter(Horde::url($registry->get('webroot', 'horde') . '/services/shares/edit.php?app=mottle'), 'share', $id);

            /* Generate the edit URL for this MOTD. */
            $editurl = Util::addParameter(Horde::applicationUrl('edit.php'),
                                          array('motd_id' => $id,
                                                'motd_title' => $motd['title'],
                                                'motd_post_time[month]' => $motd['post_time']['month'],
                                                'motd_post_time[day]' => $motd['post_time']['day'],
                                                'motd_post_time[year]' => $motd['post_time']['year'],
                                                'motd_expire_time[month]' => $motd['expire_time']['month'],
                                                'motd_expire_time[day]' => $motd['expire_time']['day'],
                                                'motd_expire_time[year]' => $motd['expire_time']['year'],
                                                'motd_text' => $motd['text']));

            $share = &$GLOBALS['mottle_shares']->getShare($id);

            require MOTTLE_TEMPLATES . '/list/motd.inc';
        }
    }

    require MOTTLE_TEMPLATES . '/list/footer.inc';
} else {
    require MOTTLE_TEMPLATES . '/list/empty.inc';
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
